#ifndef KJBUTTON_H
#define KJBUTTON_H

#include "kjwidget.h"
#include <tqobject.h>
class KJLoader;

class KJButton : public TQObject, public KJWidget
{
Q_OBJECT
  
public:
	KJButton(const TQStringList&, KJLoader *);

	virtual void paint(TQPainter *, const TQRect &rect);
	virtual bool mousePress(const TQPoint &pos);
	virtual void mouseRelease(const TQPoint &pos, bool);
	virtual void showPressed(bool b=true);

	virtual TQString tip();

private slots:
	void slotPlaylistShown(void);
	void slotPlaylistHidden(void);
	void slotEqEnabled(bool on);

private:
	TQPixmap mBackground;
	bool mPushedPixmap;
	TQPixmap mPressed;
	TQString mTitle;
	bool mShowPressed;
};

#endif
